(* Upozornn *)
(* Soubor je automaticky regenerovn a vechny run modifikace budou ztracen. *)

VAR_GLOBAL CONSTANT
   CPU_TYPE : USINT := 73; (* Typ CPU *)
   CPU_CODE : UINT := 2005; (* Kd CPU *)
END_VAR

TYPE

   DT_IBUS_DEVICES_ARRAY : ARRAY[0..7] OF BYTE;

   DT_IBUS_MODULES_ARRAY : ARRAY[0..7] OF DT_IBUS_DEVICES_ARRAY;

   DT_IBUS_DIAG : STRUCT
      STAT : DT_IBUS_MODULES_ARRAY;
      ERR : DT_IBUS_MODULES_ARRAY;
   END_STRUCT;

   DT_TCL2_ARRAY : ARRAY[0..63] OF BYTE;

   DT_TCL2_DIAG : STRUCT
      STAT : DT_TCL2_ARRAY;
      ERR : DT_TCL2_ARRAY;
   END_STRUCT;

   DT_CIB_ARRAY : ARRAY[0..31] OF BYTE;

   DT_CIB_LINE_STAT : STRUCT
      IPWR : BOOL;
      dummy1 {HIDDEN} : BOOL;
      dummy2 {HIDDEN} : BOOL;
      dummy3 {HIDDEN} : BOOL;
      ECIB : BOOL;
      WCIB : BOOL;
      dummy6 {HIDDEN} : BOOL;
      dummy7 {HIDDEN} : BOOL;
      dummy8 {HIDDEN} : BOOL;
      dummy9 {HIDDEN} : BOOL;
      dummy10 {HIDDEN} : BOOL;
      dummy11 {HIDDEN} : BOOL;
      dummy12 {HIDDEN} : BOOL;
      dummy13 {HIDDEN} : BOOL;
      dummy14 {HIDDEN} : BOOL;
      dummy15 {HIDDEN} : BOOL;
   END_STRUCT;

   DT_CIB_LINE : STRUCT
      STPW : DT_CIB_LINE_STAT;
      UCIB : REAL;
   END_STRUCT;

   DT_CIB_DIAG : STRUCT
      STAT : DT_CIB_ARRAY;
      ERR : DT_CIB_ARRAY;
      LINE : DT_CIB_LINE;
   END_STRUCT;

   TBIN_6DI : STRUCT
      DI0 : BOOL;
      DI1 : BOOL;
      DI2 : BOOL;
      DI3 : BOOL;
      DI4 : BOOL;
      DI5 : BOOL;
      dummy6 {HIDDEN} : BOOL;
      dummy7 {HIDDEN} : BOOL;
   END_STRUCT;

   TBIN_6DIP : STRUCT
      DIP0 : BOOL;
      DIP1 : BOOL;
      DIP2 : BOOL;
      DIP3 : BOOL;
      DIP4 : BOOL;
      DIP5 : BOOL;
      dummy6 {HIDDEN} : BOOL;
      dummy7 {HIDDEN} : BOOL;
   END_STRUCT;

   TCNTB9_IN : STRUCT
      SCNT : USINT;
      SCNTB : USINT;
      VAL : UDINT;
      VALB : UDINT;
   END_STRUCT;

   TAIStat : STRUCT
      UNF : BOOL;
      UNR : BOOL;
      OVR : BOOL;
      OVF : BOOL;
      FLS : BOOL;
      CJC : BOOL;
      dummy6 {HIDDEN} : BOOL;
      dummy7 {HIDDEN} : BOOL;
      CHC : BOOL;
      dummy9 {HIDDEN} : BOOL;
      dummy10 {HIDDEN} : BOOL;
      dummy11 {HIDDEN} : BOOL;
      dummy12 {HIDDEN} : BOOL;
      dummy13 {HIDDEN} : BOOL;
      dummy14 {HIDDEN} : BOOL;
      dummy15 {HIDDEN} : BOOL;
   END_STRUCT;

   TAI : STRUCT
      STAT : TAIStat;
      FS : INT;
      ENG : REAL;
      PCT : REAL;
   END_STRUCT;

   DT_IR2551_IN : STRUCT
      DIS : TBIN_6DI;
      DIP : TBIN_6DIP;
      CNT_IN3 : TCNTB9_IN;
      CNT_IN4 : TCNTB9_IN;
      CNT_IN5 : TCNTB9_IN;
      AI0 : TAI;
      AI1 : TAI;
      AI2 : TAI;
      AI3 : TAI;
      AI4 : TAI;
      AI5 : TAI;
   END_STRUCT;

   DT_OI2870_IN : STRUCT
      Keyb : USINT;
   END_STRUCT;

   TBIN_6DOW : STRUCT
      DO0 : BOOL;
      DO1 : BOOL;
      DO2 : BOOL;
      DO3 : BOOL;
      DO4 : BOOL;
      DO5 : BOOL;
      dummy6 {HIDDEN} : BOOL;
      dummy7 {HIDDEN} : BOOL;
      dummy8 {HIDDEN} : BOOL;
      dummy9 {HIDDEN} : BOOL;
      dummy10 {HIDDEN} : BOOL;
      dummy11 {HIDDEN} : BOOL;
      dummy12 {HIDDEN} : BOOL;
      dummy13 {HIDDEN} : BOOL;
      dummy14 {HIDDEN} : BOOL;
      dummy15 {HIDDEN} : BOOL;
   END_STRUCT;

   TCNTB9_OUT : STRUCT
      CCNT : USINT;
      CCNTB : USINT;
      SET : UDINT;
      SETB : UDINT;
   END_STRUCT;

   TAO : STRUCT
      FS : INT;
      ENG : REAL;
      PCT : REAL;
   END_STRUCT;

   DT_IR2551_OUT : STRUCT
      DOS : TBIN_6DOW;
      CNT_OUT3 : TCNTB9_OUT;
      CNT_OUT4 : TCNTB9_OUT;
      CNT_OUT5 : TCNTB9_OUT;
      AO0 : TAO;
      AO1 : TAO;
   END_STRUCT;

   TVideoRamArray : ARRAY[0..79] OF USINT;

   DT_OI2870_OUT : STRUCT
      VideoRam : TVideoRamArray;
      CodePage : UINT;
   END_STRUCT;

   TCIB_CEV0302M_DI : STRUCT
      DI1 : BOOL;
      DI2 : BOOL;
      DI3 : BOOL;
      dummy3 {HIDDEN} : BOOL;
      CLICK1 : BOOL;
      CLICK2 : BOOL;
      CLICK3 : BOOL;
      dummy7 {HIDDEN} : BOOL;
      PRESS1 : BOOL;
      PRESS2 : BOOL;
      PRESS3 : BOOL;
      dummy11 {HIDDEN} : BOOL;
      dummy12 {HIDDEN} : BOOL;
      dummy13 {HIDDEN} : BOOL;
      dummy14 {HIDDEN} : BOOL;
      dummy15 {HIDDEN} : BOOL;
   END_STRUCT;

   TCIB_CEV0302M_STAT : STRUCT
      OUFCP : BOOL;
      VLDCP : BOOL;
      OUF1 : BOOL;
      VLD1 : BOOL;
      OUF2 : BOOL;
      VLD2 : BOOL;
      dummy6 {HIDDEN} : BOOL;
      dummy7 {HIDDEN} : BOOL;
      CERR : BOOL;
      CCONN : BOOL;
      RQVENT : BOOL;
      CHARGE : BOOL;
      dummy12 {HIDDEN} : BOOL;
      dummy13 {HIDDEN} : BOOL;
      dummy14 {HIDDEN} : BOOL;
      dummy15 {HIDDEN} : BOOL;
   END_STRUCT;

   TCIB_C_EV_0302M_IN : STRUCT
      DI : TCIB_CEV0302M_DI;
      STAT : TCIB_CEV0302M_STAT;
      CP_V : REAL;
      CP_P : USINT;
      AI1 : REAL;
      AI2 : REAL;
      CNT : UINT;
   END_STRUCT;

   TCIB_CEV0302M_DO : STRUCT
      DO1 : BOOL;
      DO2 : BOOL;
      PP : BOOL;
      CPG : BOOL;
      dummy4 {HIDDEN} : BOOL;
      dummy5 {HIDDEN} : BOOL;
      dummy6 {HIDDEN} : BOOL;
      dummy7 {HIDDEN} : BOOL;
   END_STRUCT;

   TCIB_C_EV_0302M_OUT : STRUCT
      DOs : TCIB_CEV0302M_DO;
      CURR : REAL;
   END_STRUCT;

END_TYPE

VAR_GLOBAL_INPUT
(* CP-2005 *)
   r0_p0_IBUS_DIAG : DT_IBUS_DIAG;
   r16_p1_TCL2_DIAG : DT_TCL2_DIAG;
   r16_p1_CIB_DIAG : DT_CIB_DIAG;
   r16_p6_IO_IN : DT_IR2551_IN;
   r16_p7_DISP_IN : DT_OI2870_IN;
   (* Aliases *)
   IOP_OI_STAT AT r0_p0_IBUS_DIAG.STAT[7];
   IOP_OI_SysUsb_STAT AT r0_p0_IBUS_DIAG.STAT[7,3];
   IOP_OI_UsrDisp_STAT AT r0_p0_IBUS_DIAG.STAT[7,2];
   IOP_OI_SysDisp_STAT AT r0_p0_IBUS_DIAG.STAT[7,1];
   IOP_IR_STAT AT r0_p0_IBUS_DIAG.STAT[6];
   IOP_IR_IO_STAT AT r0_p0_IBUS_DIAG.STAT[6,1];
   IOP_PGB2_STAT AT r0_p0_IBUS_DIAG.STAT[5];
   IOP_PGB2_PORT2_STAT AT r0_p0_IBUS_DIAG.STAT[5,2];
   IOP_PGB2_PORT1_STAT AT r0_p0_IBUS_DIAG.STAT[5,1];
   IOP_PGB1_STAT AT r0_p0_IBUS_DIAG.STAT[4];
   IOP_PGB1_PORT2_STAT AT r0_p0_IBUS_DIAG.STAT[4,2];
   IOP_PGB1_PORT1_STAT AT r0_p0_IBUS_DIAG.STAT[4,1];
   IOP_SX2_STAT AT r0_p0_IBUS_DIAG.STAT[2];
   IOP_SX2_CIB_STAT AT r0_p0_IBUS_DIAG.STAT[2,2];
   IOP_SX2_TCL2_STAT AT r0_p0_IBUS_DIAG.STAT[2,1];
   IOP_SX1_STAT AT r0_p0_IBUS_DIAG.STAT[1];
   IOP_SX1_CIB_STAT AT r0_p0_IBUS_DIAG.STAT[1,2];
   IOP_SX1_TCL2_STAT AT r0_p0_IBUS_DIAG.STAT[1,1];
   IOP_OI_ERR AT r0_p0_IBUS_DIAG.ERR[7];
   IOP_OI_SysUsb_ERR AT r0_p0_IBUS_DIAG.ERR[7,3];
   IOP_OI_UsrDisp_ERR AT r0_p0_IBUS_DIAG.ERR[7,2];
   IOP_OI_SysDisp_ERR AT r0_p0_IBUS_DIAG.ERR[7,1];
   IOP_IR_ERR AT r0_p0_IBUS_DIAG.ERR[6];
   IOP_IR_IO_ERR AT r0_p0_IBUS_DIAG.ERR[6,1];
   IOP_PGB2_ERR AT r0_p0_IBUS_DIAG.ERR[5];
   IOP_PGB2_PORT2_ERR AT r0_p0_IBUS_DIAG.ERR[5,2];
   IOP_PGB2_PORT1_ERR AT r0_p0_IBUS_DIAG.ERR[5,1];
   IOP_PGB1_ERR AT r0_p0_IBUS_DIAG.ERR[4];
   IOP_PGB1_PORT2_ERR AT r0_p0_IBUS_DIAG.ERR[4,2];
   IOP_PGB1_PORT1_ERR AT r0_p0_IBUS_DIAG.ERR[4,1];
   IOP_SX2_ERR AT r0_p0_IBUS_DIAG.ERR[2];
   IOP_SX2_CIB_ERR AT r0_p0_IBUS_DIAG.ERR[2,2];
   IOP_SX2_TCL2_ERR AT r0_p0_IBUS_DIAG.ERR[2,1];
   IOP_SX1_ERR AT r0_p0_IBUS_DIAG.ERR[1];
   IOP_SX1_CIB_ERR AT r0_p0_IBUS_DIAG.ERR[1,2];
   IOP_SX1_TCL2_ERR AT r0_p0_IBUS_DIAG.ERR[1,1];
(* C-EV-0302M *)
   r4144_p0_IN : TCIB_C_EV_0302M_IN;
   (* Aliases *)
   EV_In AT r4144_p0_IN;
END_VAR

VAR_GLOBAL_OUTPUT
(* CP-2005 *)
   r0_p0_IBUS_CONTROL : UINT;
   r16_p1_TCL2_CONTROL : UINT;
   r16_p1_CIB_CONTROL : UINT;
   r16_p6_IO_OUT : DT_IR2551_OUT;
   r16_p7_DISP_OUT : DT_OI2870_OUT;
(* C-EV-0302M *)
   r4144_p0_OUT : TCIB_C_EV_0302M_OUT;
   (* Aliases *)
   EV_Out AT r4144_p0_OUT;
END_VAR

VAR_GLOBAL
END_VAR

VAR_EXTERNAL
END_VAR



(* ******************************************************************************* *)
(* Generovno programem Mosaic *)
(*  2001-2019 Teco a.s. *)
